#include <LiquidCrystal.h>

// initialize the library with the numbers of the interface pins
LiquidCrystal lcd(12, 11, 5, 4, 3, 2);

//Define ultrasonic pins connection
const int trigPin = 7;
const int echoPin = 6;
//Define variables 
long duration;
int distanceCm;
  
void setup() {
  
  //Define INPUTS & OUTPUTS
  pinMode(trigPin, OUTPUT); 
  pinMode(echoPin, INPUT); 
  
  // Starts the serial communication
  Serial.begin(9600);

  // set up the LCD's number of columns and rows:
  lcd.begin(16, 2);

}

void loop() {
  
  // Clears the trigPin
  digitalWrite(trigPin, LOW);
  delayMicroseconds(2);
   
  // Sets the trigPin on HIGH state for 10 micro seconds
   digitalWrite(trigPin, HIGH);
   delayMicroseconds(10);
   digitalWrite(trigPin, LOW);
  
   // Reads the echoPin, returns the sound wave travel time in microseconds
   duration = pulseIn(echoPin, HIGH);
  
   // Calculating the distance
   distanceCm= duration*0.034/2;
  
   // Sets the location at which subsequent text written to the LCD will be displayed
   lcd.setCursor(0,0); 
  
   // Prints string "Distance" on the LCD
   lcd.print("Distance: "); 
  
  // Prints the distance value from the sensor
   lcd.print(distanceCm); 
   lcd.print(" cm");
   delay(10);
}
 